Systick
Device Drivers

Systick driver. More...

Collaboration diagram for Systick:

## Typedefs

typedef void(* | systick_hook_t) (void)

## Functions

status_t | systick_init (uint32_t ticks)
| Systick Initialization. More...
void | systick_set_hook (systick_hook_t hook)
| Set Hook for Systick IRQ. More...
void | systick_shutdown (void)
| Disable Systick Timer and Interrupt. More...

## Usage Information

Systick driver.

## Function Documentation

status_t systick_init | ( | uint32_t | ticks | ) |

Systick Initialization.

Parameters

  ticks | Number of ticks between two interrupts

Returns
  kStatus_InvalidArgument or kStatus_Success

Systick Initialization.

void systick_set_hook | ( | systick_hook_t | hook | ) |

Set Hook for Systick IRQ.

Parameters

  hook | Hook to be called in Systick IRQ handler

Set Hook for Systick IRQ.

void systick_shutdown | ( | void |  | ) |

Disable Systick Timer and Interrupt.

Disable Systick Timer and Interrupt.